// chrome://extensions
// check “Developer mode” to enable loading unpacked extensions
// This will allow you to load your extension from a folder. Finally, click “Load unpacked extension” or simply drag the “Timesheet” folder onto the page to load up the extension




document.getElementById('save').addEventListener('click', (_event) => {
  saveLocal({
    defacture_apiUrl: document.getElementById('url').value.replace(/\/?$/, '/'),
    defacture_username: document.getElementById('username').value,
    defacture_password: document.getElementById('password').value,
  });

});

const saveLocal = async (s) => {
  chrome.storage.sync.set(s);
  return true;
}
const getLocal = async (key) => {
  return new Promise((resolve, reject) => {
    chrome.storage.sync.get([key], function (result) {
      resolve(result[key]==null?'':result[key]);
    });
  });
}

const start = async () => {
  document.getElementById('url').value = await getLocal('defacture_apiUrl');
  document.getElementById('username').value = await getLocal('defacture_username');
  document.getElementById('password').value = await getLocal('defacture_password');
}
start();
